Skip to main content

GitHubPullRequest

A GitHub pull request.

type GitHubPullRequest implements Model {
assignee: GitHubUser
assignees: [GitHubUser]
body: String
closedAt: String
comments: Int
commentsUrl: String
commitsUrl: String
createdAt: String
eventsUrl: String
id: Int
initialCommit: String
labels: [String]
labelsUrl: String
locked: Boolean
number: Int
repositoryUrl: String
status: String
title: String
totalCommits: Int
updatedAt: String
url: String
user: GitHubUser
vipMeta: VIPPRMeta
}

Fields

GitHubPullRequest.assignee ● GitHubUser object common

The primary assignee on the pull request.

GitHubPullRequest.assignees ● [GitHubUser] list object common

The assignees on the pull request.

GitHubPullRequest.body ● String scalar common

The pull request body.

GitHubPullRequest.closedAt ● String scalar common

When the pull request was closed.

GitHubPullRequest.comments ● Int scalar common

The number of comments on the pull request.

GitHubPullRequest.commentsUrl ● String scalar common

The API URL for the comments collection.

GitHubPullRequest.commitsUrl ● String scalar common

The API URL for the commits on the pull request.

GitHubPullRequest.createdAt ● String scalar common

When the pull request was created.

GitHubPullRequest.eventsUrl ● String scalar common

The API URL for the events collection.

GitHubPullRequest.id ● Int scalar common

The GitHub identifier for the pull request.

GitHubPullRequest.initialCommit ● String scalar common

The initial commit SHA for the pull request.

GitHubPullRequest.labels ● [String] list scalar common

The labels applied to the pull request.

GitHubPullRequest.labelsUrl ● String scalar common

The API URL for the labels collection.

GitHubPullRequest.locked ● Boolean scalar common

Whether the pull request is locked.

GitHubPullRequest.number ● Int scalar common

The pull request number.

GitHubPullRequest.repositoryUrl ● String scalar common

The API URL for the repository.

GitHubPullRequest.status ● String scalar common

The current pull request status.

GitHubPullRequest.title ● String scalar common

The pull request title.

GitHubPullRequest.totalCommits ● Int scalar common

The total number of commits in the pull request.

GitHubPullRequest.updatedAt ● String scalar common

When the pull request was last updated.

GitHubPullRequest.url ● String scalar common

The API URL for the pull request.

GitHubPullRequest.user ● GitHubUser object common

The GitHub user who opened the pull request.

GitHubPullRequest.vipMeta ● VIPPRMeta object common

VIP-specific metadata collected for the pull request.

Interfaces

Model interface common

A model with an integer identifier.